function isSatisfied ( processDefCd , versionCd , processCd , activityCd , groupId , userId ) {
    var bRet   = false;
    var amount = 0;

    var oWkfProcess = new WkfProcess( processDefCd , versionCd , processCd , groupId );
    var processInfo = oWkfProcess.getProcessInfo();

    var oFcApp = new FcApplication(userId , groupId);
    var result = oFcApp.getApplicationDataItem(processInfo.app_key[0], processInfo.app_key[1], "amount");
    if ( result.isSuccess ) {
        if ( result.data[0].item_set_value != "" ) {
            amount = Number(result.data[0].item_set_value);
        }
    }

    if ( amount >= 10000 ) {
        bRet = true;
    }

    return bRet;
}
